Bug 2022651 - "Delete migration plan" window text updated to indicate that related resources are not deleted
Summary: "Delete migration plan" window text updated to indicate that related resource...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Migration Toolkit for Virtualization
Classification: Red Hat
Component: User Experience
Version: 2.2.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 2.2.0
Assignee: Mike Turley
QA Contact: Ilanit Stein
Avital Pinnick
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-11-12 09:52 UTC by Ilanit Stein
Modified: 2021-12-09 19:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-12-09 19:21:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github konveyor forklift-ui pull 831 0 None Merged Bug 2022651: Add explanation of leftover resources when deleting a non-archived plan, don't allow deleting while a plan ... 2021-11-15 09:46:15 UTC
Github konveyor forklift-ui pull 832 0 None Merged [Backport] Bug 2022651: Add explanation of leftover resources when deleting a non-archived plan, don't allow deleting wh... 2021-11-15 09:46:15 UTC
Red Hat Product Errata RHEA-2021:5066 0 None None None 2021-12-09 19:21:20 UTC

Description Ilanit Stein 2021-11-12 09:52:56 UTC
Description of problem:
Please expand the attached Migration plan delete plan message to contain also that that the resources associated with the plan will remain.

Please address Sam Lucidi regarding the resources list. 

Version-Release number of selected component (if applicable):
MTV-2.2.0-82
CNV-4.9.1
OCP-4.9.6

Comment 1 Ilanit Stein 2021-11-12 09:54:57 UTC
The requested change is due to that this bug will not be resolved for MTV-2.2:
Bug 2018974 - [MTV] cdi-Importer & migration pods and all related resources should be removed when the Plan is Removed

Comment 3 Mike Turley 2021-11-15 15:27:35 UTC
Moving back to post to wait for followup PRs to be merged.

Comment 5 Fabien Dupont 2021-11-15 20:02:21 UTC
Please verify with mtv-operator-bundle-container-2.2.0-87 / iib:134964, or later.

Comment 6 Ilanit Stein 2021-11-17 03:44:09 UTC
Verified on MTV-2.2.0-87.

For a plan that has not been started, there is a notification all plan data will be lost ("delete_a_not_started_plan" attachment).

For a plan that failed/was cancelled, there is a notification on that some temporary resources will not be deleted ("delete_a_failed_or_cancelled_plan" attachment).
It is possible to perform 'Delete' or 'Cancel', and then 'Archive' the plan.

Comment 9 Ilanit Stein 2021-11-17 03:47:38 UTC
Verified on MTV-2.2.0-87.

For a plan that has not been started, there is a notification all plan data will be lost ("delete_a_not_started_plan" attachment).

For a plan that failed/was cancelled, there is a notification on that some temporary resources will not be deleted ("delete_a_failed_or_cancelled_plan" attachment).
It is possible to perform 'Delete' or 'Cancel', and then 'Archive' the plan.

Comment 12 errata-xmlrpc 2021-12-09 19:21:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (MTV 2.2.0 Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2021:5066


Note You need to log in before you can comment on or make changes to this bug.